<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Pembayaran Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel tile fixed_height_160">
                    <div class="x_title">
                        <h1>Rekap Pembayaran</h1>
                        <div class="clearfix"></div>
                    </div>
                    <form th:action="@{/pembayaran/xlsx}" method="get">
                        <div class="row clearfix">
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                                <label>Jenis Biaya: </label>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-5 col-xs-4">
                                <div class="form-group">
                                    <div class="form-line">
                                        <select name="jenis" class="form-control">
                                            <option th:each="jenis : ${listJenisTagihan}"
                                                    th:value="${jenis.id}" th:text="${jenis.nama}">Jenis Tagihan</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row clearfix">
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                                <label>Mulai Tanggal : </label>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-5 col-xs-4">
                                <div class="form-group">
                                    <div class="form-line">
                                        <input id="mulai" type="date"
                                               name="mulai"
                                               placeholder="yyyy-MM-dd"
                                               class="form-control"
                                               th:value="${awalBulan}">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row clearfix">
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                                <label>Sampai Tanggal : </label>
                            </div>
                            <div class="col-lg-4 col-md-4 col-sm-5 col-xs-4">
                                <div class="form-group">
                                    <div class="form-line">
                                        <input id="sampai" type="date"
                                               name="sampai"
                                               placeholder="yyyy-MM-dd"
                                               class="form-control"
                                               th:value="${akhirBulan}">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row clearfix">
                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">

                            </div>
                            <div class="col-lg-8 col-md-8 col-sm-6 col-xs-5">
                                <div class="form-group">
                                    <input class="btn  bg-green btn-sm waves-effect" type="submit" value="Download XLSX">
                                </div>
                            </div>
                        </div>
                    </form>
                    <form th:action="@{/pembayaran/fullDU}" method="get">
                        <input type="submit" class="btn  bg-blue btn-sm waves-effect" value="Data Daftar Ulang Full">
                    </form>
                </div>
            </div>
    </div>

    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Pembayaran</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="body">
                    <form method="get">
                        <div class="row">
                            <div class="col-sm-2">
                                <div class="form-group">
                                    <div class="form-line">
                                        <label>Jenjang</label>
                                        <select class="form-control" name="jenjang">
                                            <option selected th:if="${jenjang} != null"
                                                    th:text="${jenjang}">Akuntasi
                                                Islam</option>
                                            <option value=""></option>
                                            <option value="S1">S1</option>
                                            <option value="S2">S2</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <div class="form-line">
                                        <label>Jenis Biaya</label>
                                        <select name="jenisBiaya" class="form-control">
                                            <option selected th:if="${jenisBiaya} != null" th:each="data: ${jenisBiaya}"
                                                    th:value="${data.id}" th:text="${data.nama}">Akuntasi
                                                Islam</option>
                                            <option value=""></option>
                                            <option th:each="jenis : ${listJenisTagihan}"
                                                    th:text="${jenis.nama}" th:value="${jenis.id}">Bisnis
                                                Manajemen Syariah</option>
                                        </select>

                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <div class="form-line">
                                        <label>Nama Pendaftar</label>
                                        <input type="text" name="pendaftar"
                                               class="form-control" th:value="${pendaftar}"
                                               placeholder="Nama Pendaftar"   autofocus/>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-2" style="margin-top: 7px;">
                                <div class="form-group">
                                    <label></label><br>
                                    <input type="submit" value="Cari" class="btn  btn-info btn-sm waves-effect">
                                    <a th:href="@{/pembayaran/list}" class="btn btn-sm btn-danger" type="submit">Reset</a>

                                </div>
                            </div>
                        </div>
                    </form>
                    Show <span sd:page-size-selector="javascript"></span> entries

                    <hr>


                    <div class="row">
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover">
                                <thead>
                                <tr  style="background-color: #3f5367; color: white;" class="heading">
                                    <th>No</th>
                                    <th>No Registrasi</th>
                                    <th>Nama</th>
                                    <th>Jenis Biaya</th>
                                    <th>Bank</th>
                                    <th>Nilai Transfer</th>
                                    <th>Keterangan</th>
                                    <th></th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="p,row : ${daftarPembayaran}">
                                    <td th:text="${(row.index + 1) + (daftarPembayaran.number * daftarPembayaran.size)}">#</td>
                                    <td th:text="${p. tagihan.pendaftar.nomorRegistrasi}">201801002</td>
                                    <td th:text="${p. tagihan.pendaftar.leads.nama} +' - '+ ${p.tagihan.pendaftar.leads.jenjang}">haffizh</td>
                                    <td th:text="${p. tagihan.jenisBiaya.nama }">10-08-2017</td>
                                    <td th:text="${p. bank.namaBank }">10-08-2017</td>
                                    <td th:text="${p. nilai }">10-08-2017</td>

                                    <td th:text="${p.tagihan.keterangan}"></td>

                                    <td>
                                       <span>
                                        <a th:if="${p.tagihan.jenisBiaya.id == '001'}" th:href="@{/tagihan/detailTagihan(idTagihan = ${p.tagihan.id}, jenisBiaya = ${p.tagihan.jenisBiaya.id})}" type="submit" class="btn btn-info btn-xs">Cek</a>
                                        <a th:if="${p.tagihan.jenisBiaya.id == '002'}" th:href="@{/tagihan/detailTagihan(idTagihan = ${p.tagihan.pendaftar.id},jenisBiaya = ${p.tagihan.jenisBiaya.id})}" type="submit" class="btn btn-info btn-xs">Cek</a>
                                       </span>
                                    </td>
                                    <td>
                                    <span th:if="${p.tagihan.jenisBiaya.id == '002' && p.tagihan.pendaftar.leads.jenjang.S1 == p.tagihan.pendaftar.leads.jenjang}" >
                                                    <a th:href="@{/generateNim/form(pendaftar = ${p. tagihan.pendaftar.id})}" class="btn btn-xs btn-warning waves-effec">Cek Data</a>
                                    </span>
                                     <span th:if="${p.tagihan.jenisBiaya.id == '002' && p.tagihan.pendaftar.leads.jenjang.S2 == p.tagihan.pendaftar.leads.jenjang}" >
                                                    <a th:href="@{/generateNim/formS2(pendaftar = ${p. tagihan.pendaftar.id})}" class="btn btn-xs btn-warning waves-effec">Cek Data</a>
                                    </span>
                                    <span th:if="${p.tagihan.jenisBiaya.id == '002' && p.tagihan.pendaftar.leads.jenjang.S1 == p.tagihan.pendaftar.leads.jenjang}">
                                                    <a th:href="@{/suratKeterangan(pendaftar = ${p.tagihan.pendaftar.id})}" class="btn btn-xs bg-green waves-effect">Surat Keterangan</a>
                                    </span>
                                    <span th:if="${p.tagihan.jenisBiaya.id == '002' && p.tagihan.pendaftar.leads.jenjang.S2 == p.tagihan.pendaftar.leads.jenjang}">
                                                    <a th:href="@{/suratKeteranganPasca(pendaftar = ${p.tagihan.pendaftar.id})}" class="btn btn-xs bg-green waves-effect">Surat Keterangan</a>
                                    </span>
                                    </td>

                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div sd:pagination-summary="">info</div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-8">
                            <nav class="pull-right">
                                <ul class="pagination" sd:pagination="full">
                                    <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

</body>
</html>